import java.util.List;

public class Response {
    private String id;
    private String model;
    private String object;
    private List<Choice> choices;
    private Usage usage;
    private int created;

    public Response() {
    }

    public Response(String id, String model, String object, List<Choice> choices, Usage usage, int created) {
        this.id = id;
        this.model = model;
        this.object = object;
        this.choices = choices;
        this.usage = usage;
        this.created = created;
    }

    /**
     * 获取
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * 设置
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取
     * @return model
     */
    public String getModel() {
        return model;
    }

    /**
     * 设置
     * @param model
     */
    public void setModel(String model) {
        this.model = model;
    }

    /**
     * 获取
     * @return object
     */
    public String getObject() {
        return object;
    }

    /**
     * 设置
     * @param object
     */
    public void setObject(String object) {
        this.object = object;
    }

    /**
     * 获取
     * @return choices
     */
    public List<Choice> getChoices() {
        return choices;
    }

    /**
     * 设置
     * @param choices
     */
    public void setChoices(List<Choice> choices) {
        this.choices = choices;
    }

    /**
     * 获取
     * @return usage
     */
    public Usage getUsage() {
        return usage;
    }

    /**
     * 设置
     * @param usage
     */
    public void setUsage(Usage usage) {
        this.usage = usage;
    }

    /**
     * 获取
     * @return created
     */
    public int getCreated() {
        return created;
    }

    /**
     * 设置
     * @param created
     */
    public void setCreated(int created) {
        this.created = created;
    }

    public String toString() {
        return "Response{id = " + id + ", model = " + model + ", object = " + object + ", choices = " + choices + ", usage = " + usage + ", created = " + created + "}";
    }

    // getters and setters
}

class Choice {
    private int index;
    private Message message;
    private String finish_reason;

    public Choice() {
    }

    public Choice(int index, Message message, String finish_reason) {
        this.index = index;
        this.message = message;
        this.finish_reason = finish_reason;
    }

    /**
     * 获取
     * @return index
     */
    public int getIndex() {
        return index;
    }

    /**
     * 设置
     * @param index
     */
    public void setIndex(int index) {
        this.index = index;
    }

    /**
     * 获取
     * @return message
     */
    public Message getMessage() {
        return message;
    }

    /**
     * 设置
     * @param message
     */
    public void setMessage(Message message) {
        this.message = message;
    }

    /**
     * 获取
     * @return finish_reason
     */
    public String getFinish_reason() {
        return finish_reason;
    }

    /**
     * 设置
     * @param finish_reason
     */
    public void setFinish_reason(String finish_reason) {
        this.finish_reason = finish_reason;
    }

    public String toString() {
        return "Choice{index = " + index + ", message = " + message + ", finish_reason = " + finish_reason + "}";
    }

    // getters and setters
}

class Message {
    private String role;
    private String content;

    public Message() {
    }

    public Message(String role, String content) {
        this.role = role;
        this.content = content;
    }

    /**
     * 获取
     * @return role
     */
    public String getRole() {
        return role;
    }

    /**
     * 设置
     * @param role
     */
    public void setRole(String role) {
        this.role = role;
    }

    /**
     * 获取
     * @return content
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置
     * @param content
     */
    public void setContent(String content) {
        this.content = content;
    }

    public String toString() {
        return "Message{role = " + role + ", content = " + content + "}";
    }

    // getters and setters
}

class Usage {
    private int prompt_tokens;
    private int completion_tokens;
    private int total_tokens;

    public Usage() {
    }

    public Usage(int prompt_tokens, int completion_tokens, int total_tokens) {
        this.prompt_tokens = prompt_tokens;
        this.completion_tokens = completion_tokens;
        this.total_tokens = total_tokens;
    }

    /**
     * 获取
     * @return prompt_tokens
     */
    public int getPrompt_tokens() {
        return prompt_tokens;
    }

    /**
     * 设置
     * @param prompt_tokens
     */
    public void setPrompt_tokens(int prompt_tokens) {
        this.prompt_tokens = prompt_tokens;
    }

    /**
     * 获取
     * @return completion_tokens
     */
    public int getCompletion_tokens() {
        return completion_tokens;
    }

    /**
     * 设置
     * @param completion_tokens
     */
    public void setCompletion_tokens(int completion_tokens) {
        this.completion_tokens = completion_tokens;
    }

    /**
     * 获取
     * @return total_tokens
     */
    public int getTotal_tokens() {
        return total_tokens;
    }

    /**
     * 设置
     * @param total_tokens
     */
    public void setTotal_tokens(int total_tokens) {
        this.total_tokens = total_tokens;
    }

    public String toString() {
        return "Usage{prompt_tokens = " + prompt_tokens + ", completion_tokens = " + completion_tokens + ", total_tokens = " + total_tokens + "}";
    }

    // getters and setters
}
